Create a destination
https://{FusionAppsHost}/crmRestApi/resources/11.13.18.05/PublishingAPI/publishDestination
Request
There are no request parameters for this operation.
- application/json
objectPublishDestinationOracle-
characteristics: object
DestinationCharacteristicsOracle
Title:
DestinationCharacteristicsOracleThe destination characteristic resource. -
created: string
(date-time)
The date and time when the record was created.
-
createdBy: string
The user who created the record.
-
description: string
The description of the Destination.
-
entryLifecycleStatus: string
The lifecycle status associated with Destination.
-
excludeReferences: boolean
Whether the publish destination has exclude references.
-
href: string
The hyperlink reference to the publish destination.
-
id: string
The ID of the publish destination.
-
isDesignTime: boolean
Whether the publish destination is design time.
-
lastUpdate: string
(date-time)
The date and time when the destination was last updated.
-
lastUpdatedBy: string
The user who updated the record.
-
mode: string
The mode of Destination like Internal etc.
-
name(required): string
The name of the destination. You can filter destinations by destination name, for example DestinationName=RecordName. DestinationName is the target name of the Fabric system descriptor for the registered spoke system projectPublishEvent target.
-
pauseEnabled: boolean
Whether the publish destination has pause enabled.
-
publishExclusionRule: array
publishExclusionRule
A list of publish exclusion rules associated with the publish destination.
-
type(required): string
The type of Destination like BRM etc.
-
url: string
The URL of the destination.
-
version: string
The version of Destination.
objectDestinationCharacteristicsOracle-
order: integer
The order of publish.
array-
Array of:
object PublishExclusionRuleOracle
Title:
PublishExclusionRuleOracleThe publish exclusion rule resource.
objectPublishExclusionRuleOracle-
Description: string
A string. Description of the product rule.
-
ExclusionRule: string
The metering Expression applicable to the product rule.
-
id: string
The ID of the publish exclusion rule.
-
resourceType: string
The type or classification of the publish exclusion rule.
Response
- application/json
201 Response
objectPublishDestinationOracle-
characteristics: object
DestinationCharacteristicsOracle
Title:
DestinationCharacteristicsOracleThe destination characteristic resource. -
created: string
(date-time)
The date and time when the record was created.
-
createdBy: string
The user who created the record.
-
description: string
The description of the Destination.
-
entryLifecycleStatus: string
The lifecycle status associated with Destination.
-
excludeReferences: boolean
Whether the publish destination has exclude references.
-
href: string
The hyperlink reference to the publish destination.
-
id: string
The ID of the publish destination.
-
isDesignTime: boolean
Whether the publish destination is design time.
-
lastUpdate: string
(date-time)
The date and time when the destination was last updated.
-
lastUpdatedBy: string
The user who updated the record.
-
mode: string
The mode of Destination like Internal etc.
-
name(required): string
The name of the destination. You can filter destinations by destination name, for example DestinationName=RecordName. DestinationName is the target name of the Fabric system descriptor for the registered spoke system projectPublishEvent target.
-
pauseEnabled: boolean
Whether the publish destination has pause enabled.
-
publishExclusionRule: array
publishExclusionRule
A list of publish exclusion rules associated with the publish destination.
-
type(required): string
The type of Destination like BRM etc.
-
url: string
The URL of the destination.
-
version: string
The version of Destination.
objectDestinationCharacteristicsOracle-
order: integer
The order of publish.
array-
Array of:
object PublishExclusionRuleOracle
Title:
PublishExclusionRuleOracleThe publish exclusion rule resource.
objectPublishExclusionRuleOracle-
Description: string
A string. Description of the product rule.
-
ExclusionRule: string
The metering Expression applicable to the product rule.
-
id: string
The ID of the publish exclusion rule.
-
resourceType: string
The type or classification of the publish exclusion rule.
400 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create a destination by submitting a post request on the REST resource using cURL.
cURL Command
curl -u username:password -X POST
https://{FusionAppsHost}/crmRestApi/resources/11.13.18.05/PublishingAPI/publishDestination
-H 'Content-Type: application/json' -D @create_publishdestination.json |
json_pp
Example of Request Body
The following shows an example of the request body in JSON format.
{
"name": "siebel-test",
"type": "siebel",
"id": 300100626551273,
"mode": "Internal",
"characteristics": {
"order": 1
},
"publishExclusionRule": [
{
"resourceType": "productOffering",
"exclusionRule": "(VALUEOF(productType) IN_LIST (COMMERCIAL_BUNDLE,SERVICE_BUNDLE))"
}
]
}
Example of Response Body
The following shows an example of the response body in JSON format.
{
"name": "siebel-test",
"type": "siebel",
"lastUpdate": "2025-02-19T15:03:27.004Z",
"lastUpdatedBy": "booth",
"created": "2025-01-13T07:54:08.000Z",
"createdBy": "booth",
"id": 300100626551273,
"mode": "Internal",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/PublishingAPI/publishDestination/300100626551273",
"publishExclusionRule": [
{
"resourceType": "productOffering",
"exclusionRule": "(VALUEOF(productType) IN_LIST (COMMERCIAL_BUNDLE,SERVICE_BUNDLE))"
}
],
"characteristics": {
"order": 1
}
}